Skip to content

Create or update Social monitor settings​

PUT
/product/sites/{siteId}/social-monitor

Authorizations​

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters​

Path Parameters

siteId*
Type
string
Required

Request Body​

application/json
JSON
{
  
"_id": "string",
  
"site": "string",
  
"name": "string",
  
"enabled": true,
  
"product": {
  
  
"key": "string",
  
  
"name": "string",
  
  
"url": "string",
  
  
"description": "string"
  
},
  
"sources": [
  
],
  
"rules": {
  
  
"required_terms": [
  
  
  
"string"
  
  
],
  
  
"excluded_terms": [
  
  
  
"string"
  
  
],
  
  
"reply_guidelines": "string",
  
  
"blog_guidelines": "string",
  
  
"auto_reply_enabled": true,
  
  
"create_todoist_task": true,
  
  
"send_competitor_email": true,
  
  
"todoist_project_id": "string",
  
  
"todoist_section_id": "string",
  
  
"competitor_email_subject_prefix": "string"
  
},
  
"credentials": {
  
  
"bluesky": {
  
  
  
"handle": "string",
  
  
  
"service": "string",
  
  
  
"app_password_configured": true
  
  
},
  
  
"ghost": {
  
  
  
"admin_url": "string",
  
  
  
"admin_key_configured": true
  
  
},
  
  
"todoist": {
  
  
  
"api_token_configured": true
  
  
},
  
  
"signal_alert_email": "string"
  
},
  
"last_status": "string",
  
"last_scan_at": "string",
  
"next_scan_at": "string",
  
"last_error": "string",
  
"usage": {
  
}
}

Responses​

OK

application/json
JSON
{
  
"monitor": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI